import { ReactiveElement, ReactiveController } from 'lit';
export interface NativePopoverTrigger extends ReactiveElement {
    disabled: boolean;
    popoverTargetAction: 'show' | 'hide' | 'toggle';
    popoverTargetElement: HTMLElement | null;
    popovertarget: string;
    anchor?: HTMLElement;
}
export declare function typeNativePopoverTrigger<T extends NativePopoverTrigger>(): ClassDecorator;
export declare class TypeNativePopoverTriggerController<T extends NativePopoverTrigger> implements ReactiveController {
    #private;
    private host;
    constructor(host: T);
    hostConnected(): void;
    hostDisconnected(): void;
}
